# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

%bcond_without repolib

%define repodir %{_javadir}/repository.jboss.com/jboss/remoting/%{namedversion}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%bcond_without repolib

%define section   free
# Include . in reltag so namedversion is properly constructed
%define reltag .SP4
%define relfix %{nil}
%define namedversion %{version}%{reltag}%{relfix} 

Name:           jboss-remoting
Version:        2.5.4
Release:        10%{reltag}.1%{?dist}
Epoch:          0
Summary:        JBoss Remoting
Group:          Development/Libraries/Java
License:        LGPLv2+
URL:            http://www.jboss.org
# svn export http://anonsvn.jboss.org/repos/jbossremoting/remoting2/tags/2.5.4.SP4/ jboss-remoting-2.5.4.SP4
# Exported revision 6468.
# tar czf jboss-remoting-2.5.4.SP4.tar.gz jboss-remoting-2.5.4.SP4
Source0:        jboss-remoting-%{version}%{reltag}.tar.gz
# FIXME 2.5.4.SP1 pom is modification from 2.5.2.SP2
# http://repository.jboss.com/maven2/org/jboss/remoting/jboss-remoting/2.5.2.SP2/jboss-remoting-2.5.2.SP2.pom
Source1:	jboss-remoting.pom
Source2:        jboss-remoting-component-info.xml

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  jboss-jrunit
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven-buildmagic-thirdparty-plugin

BuildRequires:  aopalliance
BuildRequires:  concurrent
BuildRequires:  dom4j
BuildRequires:  gnu-trove
BuildRequires:  hessian
BuildRequires:  jakarta-commons-logging
BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-log4j
BuildRequires:  jboss-common-logging-spi
#BuildRequires:  jboss-j2se
BuildRequires:	jboss5-libs
BuildRequires:  jboss-naming
BuildRequires:  jboss-serialization
BuildRequires:  jbossweb >= 0:2.1.3
BuildRequires:  jcommon
BuildRequires:  jfreechart
BuildRequires:  jgroups
BuildRequires:  log4j
BuildRequires:  jbossweb-servlet-2.5-api
#BuildRequires:  spring2
#BuildRequires:  spring2-aop
BuildRequires:  spring2-beans
BuildRequires:  spring2-context
BuildRequires:  spring2-core
##BuildRequires:  spring-remoting
BuildRequires:  spring2-web
#BuildRequires:  spring2-webmvc

Requires:  java >= 0:1.5.0
Requires:  concurrent
Requires:  jbossweb
Requires:  jboss-common-core
Requires:  jboss-common-logging-spi
#Requires:  jboss-j2se
Requires:  jboss5-libs
Requires:  jboss-naming
Requires:  jboss-serialization
Requires:  log4j
Requires:  servlet_2_5_api

Requires(post):   jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3

%description
JBoss remoting.

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n %{name}-%{version}%{reltag}

%{_bindir}/find . -name "*.jar" | %{_bindir}/xargs -t %{__rm}
#BUILD/jboss-remoting-2.5.1/lib/oswego-concurrent/lib/concurrent.jar.no
ln -sf $(build-classpath concurrent) lib/oswego-concurrent/lib/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-logging-spi.jar.no
ln -sf $(build-classpath jboss-common-logging-spi) lib/jboss/jboss-logging-spi.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-logging-log4j.jar.no
ln -sf $(build-classpath jboss-common-logging-log4j) lib/jboss/jboss-logging-log4j.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-common-core.jar.no
ln -sf $(build-classpath jboss-common-core) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jnpserver.jar.no
ln -sf $(build-classpath jboss-naming/jnpserver) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/sun-servlet/lib/servlet-api.jar.no
#ln -sf $(build-classpath servlet_2_5_api) lib/sun-servlet/lib/servlet-api.jar
ln -sf $(build-classpath jbossweb-servlet-2.5-api) lib/servlet/lib/servlet-api.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-j2se.jar.no
ln -sf $(build-classpath jboss5-libs/j2se) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jboss/jboss-serialization.jar.no
ln -sf $(build-classpath jboss-serialization) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/jbossweb/jbossweb.jar.no
ln -sf $(build-classpath jbossweb/jbossweb) lib/jbossweb/jbossweb.jar
#BUILD/jboss-remoting-2.5.1/lib/jboss/jrunit.jar.no
ln -sf $(build-classpath jboss-jrunit) lib/jboss/
#BUILD/jboss-remoting-2.5.1/lib/junit/lib/junit.jar.no
ln -sf $(build-classpath junit) lib/junit/lib
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-beans.jar.no
ln -sf $(build-classpath spring2/beans) lib/spring/spring-beans.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-context.jar.no
ln -sf $(build-classpath spring2/context) lib/spring/spring-context.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/caucho/hessian-2.1.12.jar.no
ln -sf $(build-classpath hessian) lib/spring/caucho/hessian-2.1.12.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-webmvc.jar.no
#ln -sf $(build-classpath spring2/webmvc) lib/spring/spring-webmvc.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-aop.jar.no
#ln -sf $(build-classpath spring2/aop) lib/spring/spring-aop.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-core.jar.no
ln -sf $(build-classpath spring2/core) lib/spring/spring-core.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-web.jar.no
ln -sf $(build-classpath spring2/web) lib/spring/spring-web.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring-remoting.jar.no
###ln -sf $(build-classpath spring/remoting) lib/spring/spring-remoting.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/spring.jar.no
#ln -sf $(build-classpath spring) lib/spring/spring.jar
#BUILD/jboss-remoting-2.5.1/lib/spring/aopalliance/aopalliance.jar.no
ln -sf $(build-classpath aopalliance) lib/spring/aopalliance/
#BUILD/jboss-remoting-2.5.1/lib/dom4j/lib/dom4j.jar.no
ln -sf $(build-classpath dom4j) lib/dom4j/lib/
#BUILD/jboss-remoting-2.5.1/lib/apache-commons/lib/commons-logging.jar.no
ln -sf $(build-classpath commons-logging) lib/apache-commons/lib/
#BUILD/jboss-remoting-2.5.1/lib/apache-log4j/lib/log4j.jar.no
ln -sf $(build-classpath log4j) lib/apache-log4j/lib/log4j.jar
#BUILD/jboss-remoting-2.5.1/lib/jgroups/lib/jgroups-all.jar.no
ln -sf $(build-classpath jgroups) lib/jgroups/lib/jgroups-all.jar
#BUILD/jboss-remoting-2.5.1/lib/jrunit-libs/lib/jcommon-1.0.0-rc1.jar.no
ln -sf $(build-classpath jcommon) lib/jrunit-libs/lib/jcommon-1.0.0-rc1.jar
#BUILD/jboss-remoting-2.5.1/lib/jrunit-libs/lib/jfreechart-1.0.0-rc1.jar.no
ln -sf $(build-classpath jfreechart) lib/jrunit-libs/lib/jfreechart-1.0.0-rc1.jar
#BUILD/jboss-remoting-2.5.1/lib/trove/lib/trove.jar.no
ln -sf $(build-classpath gnu-trove) lib/trove/lib/trove.jar

%build
export CLASSPATH=$(build-classpath ant/ant-junit)
export OPT_JAR_LIST=:
%{ant} jars dist.jars tests.jars javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 output/lib/jboss-remoting.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 output/lib/jboss-remoting-src.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-src-%{version}.jar
install -m 644 output/lib/jboss-remoting-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tests-%{version}.jar
install -m 644 output/lib/jboss-remoting-loading-tests.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-loading-tests-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr output/lib/servlet-invoker.war $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

#install -m 644 output/lib/jboss-remoting-bisocket-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-bisocket-client-%{version}.jar
#install -m 644 output/lib/jboss-remoting-bisocket.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-bisocket-%{version}.jar
#install -m 644 output/lib/jboss-remoting-core.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-core-%{version}.jar
#install -m 644 output/lib/jboss-remoting-detection.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-detection-%{version}.jar
#install -m 644 output/lib/jboss-remoting-http-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-http-client-%{version}.jar
#install -m 644 output/lib/jboss-remoting-http.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-http-%{version}.jar
#install -m 644 output/lib/jboss-remoting-rmi.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-rmi-%{version}.jar
#install -m 644 output/lib/jboss-remoting-samples.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-samples-%{version}.jar
#install -m 644 output/lib/jboss-remoting-serialization.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-serialization-%{version}.jar
#install -m 644 output/lib/jboss-remoting-servlet.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-servlet-%{version}.jar
#install -m 644 output/lib/jboss-remoting-socket-client.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-socket-client-%{version}.jar
#install -m 644 output/lib/jboss-remoting-socket.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-socket-%{version}.jar

cp -pr output/etc $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
sed -i 's/@VERSION@/%{namedversion}-brew/g' %{SOURCE1}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap org.jboss.remoting %{name} %{namedversion} JPP %{name}

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/doc/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %with repolib
install -d -m 755 $RPM_BUILD_ROOT%{repodir}
install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml
sed -i 's/@VERSION@/%{namedversion}-brew/g' $RPM_BUILD_ROOT%{repodir}/component-info.xml
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" $RPM_BUILD_ROOT%{repodir}/component-info.xml
install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/jboss-remoting.jar
cp -p $RPM_BUILD_ROOT%{_javadir}/%{name}-src-%{version}.jar $RPM_BUILD_ROOT%{repodirlib}/jboss-remoting-src.jar
cp -p $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom $RPM_BUILD_ROOT%{repodirlib}/jboss-remoting.pom
cp -p output/lib/%{name}-bisocket-client.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-bisocket-client.jar
cp -p output/lib/%{name}-bisocket.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-bisocket.jar
cp -p output/lib/%{name}-core.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-core.jar
cp -p output/lib/%{name}-detection.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-detection.jar
cp -p output/lib/%{name}-http-client.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-http-client.jar
cp -p output/lib/%{name}-http.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-http.jar
cp -p output/lib/%{name}-rmi.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-rmi.jar
cp -p output/lib/%{name}-samples.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-samples.jar
cp -p output/lib/%{name}-serialization.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-serialization.jar
cp -p output/lib/%{name}-servlet.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-servlet.jar
cp -p output/lib/%{name}-socket-client.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-socket-client.jar
cp -p output/lib/%{name}-socket.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-socket.jar
cp -pr output/lib/servlet-invoker.war $RPM_BUILD_ROOT%{repodirlib}/servlet-invoker.war

%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
pushd $RPM_BUILD_ROOT%{repodir}
%{_bindir}/mvn-jpp -e \
        org.jboss.maven.plugins:maven-buildmagic-thirdparty-plugin:maven-deploy\
        -Durl=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew \
        -DgroupId=org.jboss.remoting -Dversion=%{namedversion} -Dclassifiers=src
popd
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}*/%{name}-%{version}.jar
%{_javadir}*/%{name}.jar
%{_javadir}*/%{name}-src-%{version}.jar
%{_javadir}*/%{name}-src.jar
%{_javadir}*/%{name}-tests-%{version}.jar
%{_javadir}*/%{name}-tests.jar
%{_javadir}*/%{name}-loading-tests-%{version}.jar
%{_javadir}*/%{name}-loading-tests.jar
%dir %{_datadir}/%{name}-%{version}
%{_datadir}/%{name}-%{version}/etc
%{_datadir}/%{name}-%{version}/servlet-invoker.war
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Fri Aug 03 2012 Lin Gao <lgao@redhat.com> - 0:2.5.4-10.SP4.1
- Upgrade to 2.5.4.SP4

* Wed Aug 17 2011 Dustin Kut Moy Cheung <dcheung@redhat.com> - 0:2.5.4-9.SP3.1
- Upgrade to 2.5.4.SP3

* Fri May 6 2011 Yiqiao Wang <yiwang@redhat.com> - 0:2.5.4-8.SP2.1
- Upgrade to 2.5.4.SP2

* Thu Feb 24 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.5.4-7.SP1.1
- Upgrade to 2.5.4.SP1

* Thu Feb 17 2011 Martha Benitez <mbenitez@redhat.com> - 0:2.5.4-6.1
- Upgrade to 2.5.4
- Remove patch for CVE-2010-3862 (included in this version)

* Thu Dec 09 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.5.3-5.SP1.patch01.2
- Add maven2-brew contents to repolib

* Thu Oct 28 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.5.3-5.SP1.patch01.1
- Fix reltag / namedversion values
- Add patch for CVE-2010-3862 JBoss Remoting Denial-Of-Service
- Add patch0 to repolib

* Wed Oct 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-4.SP1.5
- Change BR spring* to spring2*
- Remove unused spring2 dependencies

* Wed Oct 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-4.SP1.4
- Add patch for JBPAPP-5253

* Tue Jul 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-4.SP1.3
- Fix Source1 to point to SP1 pom.xml

* Tue Jul 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-4.SP1.2
- Adjust pom.xml for SP1

* Mon Jul 26 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-4.SP1.1
- Upgrade to 2.5.3.SP1

* Tue Jul 06 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.3-3.1
- Upgrade to 2.5.3

* Thu Jun 3 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.5.2-2.SP3.1
- Merge from RHEL4 (Upgrade to 2.5.2.SP3)

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:2.5.2-1.SP2.4.1
- rebuilt

* Mon Apr 19 2010 Yiqiao Wang <yiwang@redha.com> 0:2.5.2-1.SP2.4
- Rebuild

* Thu Feb 25 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.2-1.SP2.3
- Change jboss-j2se to jboss5-libs/j2se
- Change jbossweb2 to jbossweb

* Fri Jan 29 2010 Yiqiao Wang <yiwang@redhat.com> 0:2.5.2-1.2.1.1
- Change any reference to subpackages of jbossweb2 to subpackages of jbossweb

 Wed Jan 27 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.2-1.SP2.2
- Enable build target dist.jars

* Tue Jan 26 2010 Martha Benitez <mbenitez@redhat.com> 0:2.5.2-1.SP2.1
- Upgrade to 2.5.2.SP2

* Tue Jan 26 2010 Yong Yang <yyang@redhat.com> 0:2.5.2-1.2.1
- BR jbossweb2-lib, link jbossweb2 jars to lib/jbossweb

* Mon Oct 05 2009 Permaine Cheung <pcheung@redhat.com> 0:2.5.2-1.2
- Fix component-info.xml

* Mon Oct 05 2009 Permaine Cheung <pcheung@redhat.com> 0:2.5.2-1.1
- Upgrade to 2.5.2
- Add pom and -sources.jar to repolib

* Mon Jul 06 2009 Martha Benitez <mbenitez@redhat.com> 0:2.5.1-3.1
- Change jpackage-utils >= 0:1.7.5 to jpackage-utils >= 0:1.7.3
- Change servlet_2_5_api to jbossweb2-servlet-2.5-api for classpath

* Wed Jul 01 2009 David Walluck <dwalluck@redhat.com> 0:2.5.1-3
- fix repolib version

* Tue Jun 30 2009 David Walluck <dwalluck@redhat.com> 0:2.5.1-2
- add repolib

* Tue Jun 23 2009 Ralph Apel <r.apel at r-apel.de> - 0:2.5.1-1.jpp5
- 2.5.1
